use clap::Values;

use crate::commands::config;

pub struct RemoteArgs<'a> {
    pub name: Option<Values<'a>>,
    pub url: Option<Values<'a>>,
}

pub fn remote_add(args: RemoteArgs) {
    if args.name.is_none() || args.url.is_none() {
       eprintln!("Missing argument: remote add command need a name and an url");
       return;
    }

    let name = args.name.unwrap().next().unwrap();
    let url = args.url.unwrap().next().unwrap();

    let _ = config::add_remote(name, url);
}

